directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Emmanuel Lecharny" <elecha...@gmail.com>
Subject Re: Using Apache ds in a web application - user names, passwords
Date Wed, 23 May 2007 10:04:15 GMT
Guys,

I would like to thanks Ceren for his patience, and Stefan + Stefan for
their consistent help. Hopefully, we will have a working ADS 1.5
working embedded into a webapp, and then we will document it on the
site.

Debugging such issues is not really a funny task, but it seems you
found your way through all the problems.

I trully hope that Ceren will have a working ADS 1.5 embedded into
tomcat by the end of this day.

Thanks a lot !

Emmanuel

On 5/23/07, Stefan Zoerner <stefan@labeo.de> wrote:
> Ceren KOKSAL wrote:
>
> > I tried the example with apacheds-1.0.0 , it has worked:)
> > While building, build.xml copies jars from apacheds-1.0.0.
>
> Thanks Ceren, This is great news!
>
> > So when I try to run the example, it connects apacheds-1.0.0. How I will
> > obtain it to connect apacheds-1.5.0?
> > I looked at the code but I couldn't see anything about the apacheds
> > path.I think example connects to the apacheds version whom jars are used
> > while building the example.Is it like that?And what must I do:) Can
> > there be any problem with the apacheds-1.5.0 's jars?
>
> The interesting thing is, that the servlet connects to the ApacheDS,
> which is *embedded* in the WebApp. The listener code starts and stops
> it. Therefore the servlet connects to the version which is included in
> the libs, the 1.0.1 in case of
>
> http://directory.apache.org/apacheds/1.0/embedding-apacheds-as-a-web-application.html
>
> Your problem has something to do with the build.xml, which copies the
> relevant jars to the webapp in target "copyApacheDsLibs". There is a
> difference in between what is needed in 1.0 and 1.5.
>
> For instance, the apacheds-schema-*.jar files are currently not copied
> in the build.xml, which causes the problem.
>
> It is now working in my env with 1.5, but I had to modify the build.xml
> for ApacheDS 1.5. Find the one I used attached. Please let us know,
> whether it works (you have to adjust paths to apacheds and tomcat).
>
> We have to create another version of this page for the 1.5 documentation
> I'll create a JIRA for that.
>
> I hope that helps, Greetings,
>      Stefan
>
>
>


-- 
Regards,
Cordialement,
Emmanuel L├ęcharny
www.iktek.com

Mime
View raw message